/******************************************************************************
 GMailboxChooseSaveFile.cc

	Class to test overriding of JXChooseSaveFile dialog windows.

	BASE CLASS = JXChooseSaveFile

	Written by John Lindal.

 ******************************************************************************/

#include "GMailboxChooseSaveFile.h"
#include "GMailboxFileDialog.h"
#include "GMailboxPathDialog.h"

#include <JUNIXDirInfo.h>

#include <jAssert.h>

const JCharacter* kRegexStr = "^[[:space:]]*$|^From[[:space:]]+.*.{3}[[:space:]]+.{3}[[:space:]]+[[:digit:]]+[[:space:]]+([[:digit:]]+:)+[[:digit:]]+[[:space:]]+(...[[:space:]])?[[:digit:]]{4}";

/******************************************************************************
 Constructor

 ******************************************************************************/

GMailboxChooseSaveFile::GMailboxChooseSaveFile()
	:
	JXChooseSaveFile()
{
}

/******************************************************************************
 Destructor

 ******************************************************************************/

GMailboxChooseSaveFile::~GMailboxChooseSaveFile()
{
}

/******************************************************************************
 SetChooseFileContentFilter (virtual protected)


 ******************************************************************************/

void
GMailboxChooseSaveFile::SetChooseFileContentFilter
	(
	JUNIXDirInfo* dirInfo
	)
{
	JError err = dirInfo->SetContentFilter(kRegexStr);
	if (!err.OK())
		{
		err.ReportError();
		}
}
