/******************************************************************************
 GMSpellCheckPrefObject.cc

	This just maintains the prefs for the help manager.

	BASE CLASS = JPrefObject

	Copyright  1999 by Glenn W. Bach. All rights reserved.

 ******************************************************************************/

#include <GMSpellCheckPrefObject.h>

#include <JXSpellChecker.h>

#include <jXGlobals.h>

#include <jAssert.h>

const JFileVersion kCurrentPrefsFileVersion 	= 1; 

/******************************************************************************
 Constructor

 ******************************************************************************/

GMSpellCheckPrefObject::GMSpellCheckPrefObject
	(
	JPrefsManager*	prefsMgr,
	const JPrefID&	id
	)
	:
	JPrefObject(prefsMgr, id)
{
	JPrefObject::ReadPrefs();
}

/******************************************************************************
 Destructor

 ******************************************************************************/

GMSpellCheckPrefObject::~GMSpellCheckPrefObject()
{
	JPrefObject::WritePrefs();
}

/******************************************************************************
 Read/WritePrefs

 ******************************************************************************/

void
GMSpellCheckPrefObject::ReadPrefs
	(
	istream& input
	)
{
	JFileVersion version;
	input >> version;
	if (version == 1)
		{
		JXSpellChecker::ReadSetup(input);
		}
}

void
GMSpellCheckPrefObject::WritePrefs
	(
	ostream& output
	)
	const
{
	output << kCurrentPrefsFileVersion << ' ';
	JXSpellChecker::WriteSetup(output);
}
