/******************************************************************************
 GSendHelpText.cc

	Copyright  1997 by John Lindal. All rights reserved.

 ******************************************************************************/

#include "GHelpText.h"

const JCharacter* kSendHelpName  = "GSendHelp";
const JCharacter* kSendHelpTitle = "Sending mail";

const JCharacter* kEncryptionHelpName	= "GSendHelp#Encrypt";
const JCharacter* kShortcutsHelpName	= "GSendHelp#Shorcuts";

const JCharacter* kSendHelpText =

"<b>Insertion and quoting</b>"
"<p>"
""
"Sending mail falls into two categories, those messages in response to "
"received messages, and new messages. When responding to a received message, "
"you often need to refer to the text of the message. To insert the quoted "
"text of the received message, use <i>Insert quoted</i> from the "
"<i>Message</i> menu. At times you may want to refer to several received "
"messages. To do this, copy the text from the appriate view window and use "
"<i>Paste quoted</i> from the <i>Message</i> menu. An alternative is to drag "
"the text from the view window and drop it into the appropriate position in "
"the new message. You can then use <i>Quote selected</i> from the "
"<i>Message</i> menu to quote the selected text. To insert your signature "
"(which is found in ~/.signature), use <i>Insert signature</i> from the "
"<i>Message</i> menu."
""
"<p>"
"<b>Fields</b>"
"<p>"
""
"When you open a new message, only the <i>To:</i> and <i>Subject:</i> fields "
"are visible. If you want to add either the <i>Cc:</i>, <i>Reply-To:</i>, or "
"<i>Bcc:</i> fields, you can do that via the <i>Message</i> menu."
""
"<p>"
"<a name=Encrypt>"
"<b>Encryption</b>"
"<p>"
""
"To send a secure message with PGP or GnuPG, edit the message as usual, and then "
"select <i>Encrypt</i> from the <i>Message</i> menu. You can specify which "
"encryption program you want in the <a href=jxhelp:GPrefsHelp>Preferences</a> "
"dialog box."
""
"<p>"
"<b>Saving and sending</b>"
"<p>"
""
"To send a message, hit the <i>Send</i> button or select <i>Send message</i> "
"from the <i>file</i> menu. At times you may want to save a message that you "
"are editing. To do this, use <i>Save message</i> from the <i>File</i> menu. "
""
"<p>"
"<a name=Shorcuts>"
"<b>Keyboard shortcuts in the editor</b>"
"<p>"

"The arrow keys obviously move the caret around inside the text. Holding "
"down the Control key makes the up and down arrows move the caret to the top "
"and bottom of the visible text, respectively, while the left and right "
"arrows move the caret by one word at a time. Control-up/down is useful for "
"scrolling the text by one line without having to use the scrollbar: simply "
"press Control-up/down-arrow and then up/down. It is also useful for "
"bringing the cursor to the visible text after scrolling. "
 "<p>"

"Holding down the Meta key makes the up and down arrows move the caret to "
"the beginning and end of the file, respectively, while the left and right "
"arrows move the caret to the beginning and end of the current line, "
"respectively. "
"<p>"

"Holding down the Shift key while using the arrow keys selects text. This "
"works even in conjunction with the Meta, and Control keys. "
"<p>"

"The backspace key on the main keyboard deletes the character to the left of "
"the caret. The delete key on the keypad deletes the character to the right "
"of the caret. "

"<p>"

"<b>Checking you spelling</b>"
"<p>"
""
"If you ever want to check your spelling, use <i>Check spelling</i> from the "
"<i>Message</i> menu. This will start the spell checker. If the spell "
"checker finds any words that it doesn't understand, it will pop up a dialog "
"box with a list of possibilities (if it could find any). You can also edit "
"the correction yourself. If the word is correct, hit the <i>Ignore</i> or "
"<i>Ignore all</i> buttons. The latter will skip all further occurances of "
"the word in question. If the word is incorrect and you edit the spelling or "
"choose a spelling from the list, hit the <i>Change</i> or <i>Change all</i> "
"buttons. The latter button will change all occurances of the specified word "
"to your correction. If a word is correct but is not in the dictionary, you "
"can add it to the dictionary by hitting the <i>Learn word</i> or the "
"<i>Learn word with caps</i> buttons. Hitting the <i>Close</i> button or "
"hitting the escape key will cancel the spell check (when the spell checker "
"dialog box is opened)."
""
"<p>"
"<b>Margins</b>"
"<p>"
""
"Some mail programs require that each line be no greater than 80 characters. "
"If you wish this to be the case, select the appropriate text, and use "
"<i>Clean right margin</i> from the <i>Edit</i> menu, or hit "
"<i>Meta-Return</i>.";
